`timescale 100ps/10ps

////////////////////////////////////////////////////////////////////////////////////
//  DENSITY SELECTION                                                             //
//                                                                                //
//  Uncomment one of the following lines to select the appropriate density. If    //
//  no line is selected, the model will default to 16Mb                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
//`define DENSITY_1M  // 1Mb
//`define DENSITY_4M  // 4Mb
//`define DENSITY_8M  // 8Mb
`define DENSITY_16M // 16Mb

`ifdef TEST_BLKPROT
`include "./stimulus_addrprot.v"
`elsif TEST_HWWP
`include "./stimulus_wpnen.v"
`elsif TEST_WRAP
`include "./stimulus_wrap.v"
`elsif TEST_DDR
`include "./stimulus_ddr.v"
`elsif TEST_MULTI
`include "./stimulus_multi.v"
`elsif TEST_ALT
`include "./stimulus_alternate.v"
`else
`include "./stimulus.v"
`endif

`include "./spsram_asxxxx204.v"
module test;
  
  wire CSn;
  wire IO3, WPn_IO2;
  wire SO_IO1, SI_IO0;
  wire CLK;

  //spsram_as3016204 M0
  spsram_asxxxx204 M0
    (
    .IO3(IO3),
    .WPn_IO2(WPn_IO2),
    .SO_IO1(SO_IO1),
    .SI_IO0(SI_IO0),
    .CSn(CSn),
    .CLK(CLK)
    );

  stimulus inst_stimulus
    (
    .IO3(IO3),
    .WPn_IO2(WPn_IO2),
    .SO_IO1(SO_IO1),
    .SI_IO0(SI_IO0),
    .CSn(CSn), 
    .CLK(CLK) 
    );

  initial begin
    $vcdpluson;
  end
endmodule
